- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.FetchIntegrationActionTemplateResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchTemplate#body.aspect_1)

**Full name**: projects.locations.instances.integrations.actions.fetchTemplate

Retrieves a default Python script template for a new integration action. Use this method to jumpstart the development of a custom automated task by providing boilerplate code for either synchronous or asynchronous operations.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/actions:fetchTemplate`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to fetch the template for. Format: projects/{project}/locations/{location}/instances/{instance}/soar/integrations/{integration}/actions |

### Query parameters

| Parameters ||
|---|---|
| `async` | `boolean` Optional. Specifies whether we are getting a template for async action or not. Default is false. |

### Request body

The request body must be empty.

### Response body

Response message for FetchTemplate.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "template": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`) } } ``` |

| Fields ||
|---|---|
| `template` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`)`` Output only. The action definition template. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrationActions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).